@import "normalize.css" screen;
@import "bootstrap.min.css" screen;
@import "https://service.avon.ua/mas/header/style.css" screen;
.wisepops-root,
.avon-ben-wrapp,
.a_subscribers {
  display: none !important;
}
modal#ChangeRepModal,
#Modals {
  display: none !important;
}
main {
  padding: 0 !important;
  background: rgba(255, 255, 255, 0) !important;
}
select {
  height: auto !important;
}
.avon__insert,
.optanon-alert-box-wrapper {
  display: none !important;
}
:root {
  --textColor: #111;
}

html,
body {
  height: 100%;
}

input,
button,
textarea {
  outline: none;
}

* {
  box-sizing: border-box;
}

.clearfix {
  clear: both;
}

.clearfix::after {
  content: "";
  clear: both;
  display: table;
}
input,
button,
textarea {
  font-family: "Montserrat", sans-serif;
}
body {
  margin: 0 !important;
  padding: 0 !important;
  font-family: "Montserrat", sans-serif !important;
  font-size: 15px !important;
  font-weight: 500 !important;
  color: var(--textColor) !important;
  background-color: #f6f7fb !important;
  overflow-x: hidden !important;
}
.main-container {
  margin: 0;
  padding: 0;
  font-family: "Montserrat", sans-serif;
  font-size: 15px;
  font-weight: 500;
  color: var(--textColor);
  background-color: #f6f7fb;
  overflow-x: hidden;
}
body.hidden {
  overflow: hidden;
}

a {
  color: var(--mainColor);
  text-decoration: none;
}

a:hover {
  color: var(--mainColorHover);
}

ul {
  margin: 0;
  padding: 0;
}
input::placeholder,
textarea::placeholder {
  font-size: 14px;
}
header.checkout-avon {
  background: #fff;
  height: 72px;
  -webkit-box-shadow: 0px 3px 23px 0px rgba(31, 41, 67, 0.06);
  -moz-box-shadow: 0px 3px 23px 0px rgba(31, 41, 67, 0.06);
  box-shadow: 0px 3px 23px 0px rgba(31, 41, 67, 0.06);
  border: 0;
}

.checkout-wrapper {
  max-width: 1300px;
  margin: 0 auto;
  padding: 0 25px;
}

.checkout-wrapper-big {
  max-width: 1375px;
  margin: 0 auto;
  padding: 0 25px;
}

.checkout-header-flex {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 72px;
}

.checkout-logo a {
  display: block;
  width: 34px;
  height: 31px;
  background: url(./img/logo.png) no-repeat;
  background-size: contain;
}

.checkout-loading {
  display: flex;
  align-items: center;
  justify-content: center;
  margin: 5vh 0 0 0;
}
.checkout-loading span {
  display: block;
  width: 54px;
  height: 54px;
  background: url("https://service.avon.ua/mas/header/svg/loading.svg") no-repeat;
}
.no-active-section .checkout-section-loading {
  display: none;
}
.checkout-section-loading {
  display: flex;
  align-items: center;
  justify-content: center;
  margin: 20px 0 0 0;
}
.checkout-section-loading span {
  display: block;
  width: 44px;
  height: 44px;
  background: url("https://service.avon.ua/mas/header/svg/loading.svg") no-repeat;
}
.checkout-content {
  display: none;
  padding: 0 0 100px 0;
}

.checkout-messages {
  padding: 1.5em 1.5em;
  line-height: 1.4;
  border-radius: 5px;
  margin: 20px 0 0 0;
  font-size: 14px;
  display: flex;
  align-items: center;
}
.repContent .checkout-messages {
  margin: 0;
}
.checkout-messages.warning {
  -webkit-box-shadow: 0 0 0 1px #f0e4bc inset, 0 0 0 0 transparent;
  box-shadow: 0 0 0 1px #f0e4bc inset, 0 0 0 0 transparent;
  background-color: #fff8de;
  color: #573a08;
}
.checkout-messages.info {
  background: #ebf6fa;
  -webkit-box-shadow: 0 0 0 1px #cadee9 inset, 0 0 0 0 transparent;
  box-shadow: 0 0 0 1px #cadee9 inset, 0 0 0 0 transparent;
  color: #70899b;
}
.checkout-messages.info .checkout-messages-icons {
  width: 20px;
  height: 20px;
  background: url(./img/info_icon.svg) no-repeat;
  margin: 0 10px 0 0;
}
.checkout-messages.warning .checkout-messages-icons {
  width: 20px;
  height: 20px;
  background: url(./img/warning_icon.svg) no-repeat;
  margin: 0 10px 0 0;
}

.repContent .checkout-messages.info {
  background: #fff;
  -webkit-box-shadow: 0 0 0 1px #ddd inset, 0 0 0 0 transparent;
  box-shadow: 0 0 0 1px #ddd inset, 0 0 0 0 transparent;
}

.checkout-title-main {
  font-size: 27px;
  font-weight: 600;
}

.checkout-title-main div {
  font-size: 14px;
  color: rgba(0, 0, 0, 0.34);
  margin: 3px 0 0 0;
  font-weight: 500;
}

.checkout-container-flex {
  display: flex;
  justify-content: flex-start;
  align-items: flex-start;
  margin: 47px 0 0 0;
}
.checkout-contentainer-left {
  width: 63%;
}
.checkout-contentainer-right {
  width: 35%;
  margin: 0 55px 0 2%;
  position: sticky;
  top: 20px;
}

.checkout-background {
  background: #fff;
  -webkit-box-shadow: 0px 3px 23px 0px rgb(31 41 67 / 6%);
  -moz-box-shadow: 0px 3px 23px 0px rgba(31, 41, 67, 0.06);
  box-shadow: 0px 3px 23px 0px rgb(31 41 67 / 6%);
  padding: 30px 40px;
  -webkit-border-radius: 10px;
  -moz-border-radius: 10px;
  border-radius: 10px;
  position: relative;
}

.checkout-fields-city {
  margin: 30px 0 0 0;
}
.checkout-fields-title {
  display: flex;
  align-items: center;
  position: relative;
}
.checkout-fields-title div {
  position: absolute;
  top: -7px;
  left: -60px;
  background: #fff;
  border: 1px solid #ddd;
  width: 40px;
  height: 40px;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 50px;
  font-weight: 600;
  font-size: 16px;
  z-index: 3;
}
.checkout-fields-title div.active {
  background: #e5004b;
  border-color: #e5004b;
  color: #fff;
}
.checkout-fields-title span:nth-child(2) {
  font-size: 18px;
  font-weight: 600;
  margin: 0 10px 0 0;
  display: flex;
  align-items: center;
}
.checkout-fields-title span:nth-child(3) {
  font-size: 12px;
  font-weight: 500;
  opacity: 0.5;
}

.no-active-section {
  opacity: 0.5;
  cursor: not-allowed;
}

.checkout-fields-devivery,
.checkout-fields-payment,
.checkout-fields-contacts {
  margin: 15px 0 0 0;
}
.checkout-fields-input {
  position: relative;
}
input.form__input {
  font-size: 14px;
  border-color: rgba(0, 0, 0, 0.12);
  padding: 13px 23px;
  margin: 13px 0 0 0;
}
input.form__input:focus {
  border-color: #e5004b;
  -webkit-box-shadow: 0px 0px 0px 4px rgba(87, 17, 19, 0.13);
  -moz-box-shadow: 0px 0px 0px 4px rgba(127, 40, 196, 0.13);
  box-shadow: 0px 0px 0px 4px rgb(127 40 196 / 13%);
}

textarea.form__input {
  font-size: 14px;
  border-color: rgba(0, 0, 0, 0.12);
  padding: 13px 23px;
  margin: 13px 0 0 0;
}
textarea.form__input:focus {
  border-color: #e5004b;
  -webkit-box-shadow: 0px 0px 0px 4px rgb(127 40 196 / 13%);
  -moz-box-shadow: 0px 0px 0px 4px rgba(127, 40, 196, 0.13);
  box-shadow: 0px 0px 0px 4px rgb(127 40 196 / 13%);
}

.checkout-select-city-links {
  margin: 15px -10px 0 -10px;
  display: flex;
}

.checkout-select-city-links a {
  display: inline-block;
  border-bottom: 1px dashed rgba(0, 0, 0, 0.24);
  text-decoration: none;
  color: rgba(0, 0, 0, 0.58);
  font-size: 15px;
  margin: 0 10px;
  padding: 0 0 2px 0;
  -webkit-transition: all 0.2s ease-in-out;
  -moz-transition: all 0.2s ease-in-out;
  transition: all 0.2s ease-in-out;
}

.checkout-select-city-links a:hover {
  border-color: #fff;
  color: #e5004b;
}

.is-label-invalid {
  font-size: 12px;
  margin: 7px 0 0 0;
  color: red;
}

.autocomplete-suggestions {
  border: 1px solid rgba(0, 0, 0, 0.12);
  background: #fff;
  padding: 10px 0;
  /* core styles should not be changed */
  position: absolute;
  display: none;
  z-index: 9999;
  max-height: 254px;
  overflow-x: hidden;
  overflow-y: auto;
}

.autocomplete-suggestion {
  position: relative;
  padding: 11px 20px;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  font-size: 14px;
  color: #000;
  -webkit-transition: all 0.1s ease-in-out;
  -moz-transition: all 0.1s ease-in-out;
  transition: all 0.1s ease-in-out;
  cursor: pointer;
}

.autocomplete-suggestion div {
  margin: 2px 0 0 0;
  opacity: 0.5;
  font-size: 12px;
}

.autocomplete-suggestion b {
  font-weight: 600;
  color: #e5004b;
}

.autocomplete-suggestion:hover {
  background: rgba(127, 40, 196, 0.04);
}

.autoComplateText {
  display: none;
  position: absolute;
  top: 55px;
  left: 0;
  width: 100%;
  border: 1px solid rgba(0, 0, 0, 0.12);
  background: #fff;
  padding: 20px 25px;
  border-top: 0;
  z-index: 20;
}
.form-control {
  position: relative;
}
.input-loading {
  position: absolute;
  top: 10px;
  right: 15px;
  width: 30px;
  height: 30px;
  z-index: 10;
  display: none;
  background: url("https://service.avon.ua/mas/header/svg/loading.svg") no-repeat;
}
.checkout-delivery-content-checkboxes {
  margin: 14px 0 0 0;
}
.checkout-content-checkboxes-field input[type="radio"] {
  display: none;
}
.checkout-content-checkboxes-field input[type="radio"]:disabled + label {
  opacity: 0.4;
}
.checkout-content-checkboxes-field input[type="radio"]:disabled + label:hover {
  opacity: 0.4;
}
.checkout-content-checkboxes-field label.checkout-checkbox-label {
  display: flex;
  align-items: center;
  justify-content: space-between;
  cursor: pointer;
  padding: 15px;
}
.checkout-content-checkboxes-field {
  background: #fff;
  border-radius: 5px;
  border: 1px solid #eee;
  transition: 0.3s all;
  -o-transition: 0.3s all;
  -moz-transition: 0.3s all;
  -webkit-transition: 0.3s all;
  margin: 0 0 15px 0;
}
.checkout-content-checkboxes-field.active-checkbox {
  border-color: rgba(196, 40, 63, 0.6);
  -webkit-box-shadow: 0px 0px 0px 4px rgb(127 40 196 / 13%);
  -moz-box-shadow: 0px 0px 0px 4px rgba(127, 40, 196, 0.13);
  box-shadow: 0px 0px 0px 4px rgb(127 40 196 / 13%);
}
.checkout-background .checkout-content-checkboxes-field:first-child {
  margin: 14px 0 15px 0;
}
.checkout-content-checkboxes-field:last-child {
  margin: 0;
}
.checkout-content-checkboxes-field label.checkout-checkbox-label .checkout-check {
  width: 20px;
  height: 20px;
  background: #fff;
  border: 1px solid #ddd;
  border-radius: 50px;
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
}
.checkout-content-checkboxes-field input:checked + label.checkout-checkbox-label .checkout-check {
  background: #e5004b;
  border-color: #e5004b;
}
.checkout-content-checkboxes-field label.checkout-checkbox-label .checkout-check::before {
  content: "";
  width: 10px;
  height: 10px;
  background: #fff;
  border-radius: 50px;
  opacity: 0;
  transition: 0.3s all;
  -o-transition: 0.3s all;
  -moz-transition: 0.3s all;
  -webkit-transition: 0.3s all;
}
.checkout-check-label {
  margin: 0 0 0 15px;
  font-size: 14px;
}
.checkout-check-label span {
  font-size: 13px;
  color: rgba(0, 0, 0, 0.393);
}
.checkout-check-left {
  display: flex;
  align-items: center;
}
.checkout-check-price {
  font-size: 12px;
  opacity: 0.7;
  transition: 0.3s all;
  -o-transition: 0.3s all;
  -moz-transition: 0.3s all;
  -webkit-transition: 0.3s all;
}
.checkout-check-left .icons-delivery {
  display: block;
  width: 22px;
  height: 22px;
  mix-blend-mode: luminosity;
  opacity: 0.6;
  transition: 0.3s all;
  -o-transition: 0.3s all;
  -moz-transition: 0.3s all;
  -webkit-transition: 0.3s all;
}
.checkout-check-left .novaposhta-ico {
  background: url(./img/novaposhta_active.svg) no-repeat;
  margin: 0 0 0 15px;
}
.checkout-check-left .ukrposhta-ico {
  background: url(./img/ukrposhta_active.svg) no-repeat;
  margin: 0 0 0 15px;
}
.checkout-check-left .justin-ico {
  background: url(./img/justin_active.svg) no-repeat;
  margin: 0 0 0 15px;
}
.checkout-check-left .rep-ico {
  background: url(./img/avon_acitve.png) no-repeat;
  margin: 0 0 0 15px;
}
.checkout-content-checkboxes-field:hover .checkout-check-left .icons-delivery {
  mix-blend-mode: normal;
  opacity: 1;
}

.checkout-content-checkboxes-field input:checked + label.checkout-checkbox-label .checkout-check::before {
  opacity: 1;
}
.checkout-content-checkboxes-field input:checked + label.checkout-checkbox-label .checkout-check-left .icons-delivery {
  mix-blend-mode: normal;
  opacity: 1;
}
.checkout-content-checkboxes-field input:checked + label.checkout-checkbox-label .checkout-check-price {
  opacity: 1;
}

.checkout-content-fields-after-checked {
  display: none;
  padding: 12px 25px 15px 25px;
  background: #fafafa;
  border-top: 1px solid #d9d9d9;
}

#checkoutDeliveryCity {
  font-style: normal;
  font-weight: 400;
  font-size: 13px;
  opacity: 0.5;
  display: block;
  margin: 0 0 0 10px;
}

.checkout-content-fields-after-checked input.field-after {
  font-size: 14px;
  padding: 13px 23px;
  margin: 0;
}

.checkout-content-label-after-checked {
  font-size: 12px;
  margin: 0 0 5px 0;
  opacity: 0.6;
  font-weight: 400;
}

.checkout-fields-payment-icons {
  display: flex;
  align-items: center;
  margin: 0 -3px;
}
.checkout-fields-payment-icons div {
  width: 38px;
  height: 24px;
  margin: 0 3px;
}
.checkout-fields-payment-visa {
  background: url(./img/visa.svg) no-repeat;
}
.checkout-fields-payment-mastercard {
  background: url(./img/master.svg) no-repeat;
}
.loading-full .checkout-fields-title div {
  visibility: hidden;
}

.form-control.is-valid {
  border-color: #ddd;
}

.form-control.is-valid {
  border-color: rgba(0, 0, 0, 0.12);
}
.form-control.is-valid:focus {
  border-color: #e5004b;
  -webkit-box-shadow: 0px 0px 0px 4px rgb(127 40 196 / 13%);
  -moz-box-shadow: 0px 0px 0px 4px rgba(127, 40, 196, 0.13);
  box-shadow: 0px 0px 0px 4px rgb(127 40 196 / 13%);
}

.group-flex {
  display: flex;
  align-items: stretch;
  flex-wrap: wrap;
}

.group-flex .form__input-group {
  margin: 0;
}
.group-flex .form__input {
  margin: 0;
  width: 100%;
}

.checkout-all-group {
  display: flex;
  align-items: flex-start;
  justify-content: space-between;
  margin: 0 -10px;
}

.checkout-label-s {
  background: rgba(37, 35, 38, 0.051);
  display: block;
  align-items: center;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  padding: 0 10px 0 15px;
  border-radius: 0.25rem;
  border-top-right-radius: 0;
  border-bottom-right-radius: 0;
  border: 1px solid #ddd;
  border-right: 0;
  width: 30%;
  line-height: 46px;
  font-size: 12px;
}
.checkout-all-group .checkout-group {
  margin: 0 10px;
}
.checkout-all-group .checkout-group:first-child {
  width: 75%;
}
.checkout-all-group .checkout-group:last-child {
  width: 25%;
}

.btn-sm {
  background: rgba(255, 255, 255, 0);
  color:#e5004b;
  border-color:#e5004b;
  padding: 14px 25px;
  border-radius: 5px;
  font-size: 14px;
  width: 100%;
  margin: 15px 0 0 0;
}
.btn-sm:hover {
  background:#e5004b;
  border-color: #e5004b;
}

.btn-check:active + .btn-primary:focus,
.btn-check:checked + .btn-primary:focus,
.btn-primary.active:focus,
.btn-primary:active:focus,
.show > .btn-primary.dropdown-toggle:focus {
  -webkit-box-shadow: 0px 0px 0px 4px rgb(127 40 196 / 13%);
  -moz-box-shadow: 0px 0px 0px 4px rgba(127, 40, 196, 0.13);
  box-shadow: 0px 0px 0px 4px rgb(127 40 196 / 13%);
  background: #e5004b;
}

.btn-check:active + .btn-primary,
.btn-check:checked + .btn-primary,
.btn-primary.active,
.btn-primary:active,
.show > .btn-primary.dropdown-toggle {
  -webkit-box-shadow: 0px 0px 0px 4px rgb(127 40 196 / 13%);
  -moz-box-shadow: 0px 0px 0px 4px rgba(127, 40, 196, 0.13);
  box-shadow: 0px 0px 0px 4px rgb(127 40 196 / 13%);
  background: #e5004b;
}

.btn-check:focus + .btn-primary,
.btn-primary:focus {
  -webkit-box-shadow: 0px 0px 0px 4px rgb(127 40 196 / 13%);
  -moz-box-shadow: 0px 0px 0px 4px rgba(127, 40, 196, 0.13);
  box-shadow: 0px 0px 0px 4px rgb(127 40 196 / 13%);
  background: #e5004b;
}

.repContainer-content {
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin: 10px 0 0 0;
  background: #fff;
  border-radius: 5px;
  padding: 13px 20px;
  -webkit-box-shadow: 0px 3px 23px 0px rgb(31 41 67 / 6%);
  -moz-box-shadow: 0px 3px 23px 0px rgba(31, 41, 67, 0.06);
  box-shadow: 0px 3px 23px 0px rgb(31 41 67 / 6%);
}
.repContainer-content-title {
  width: 60%;
}
#buttonChangeRep {
  width: 39%;
  margin: 0 0 0 1%;
}

#rep-adress-field {
  margin: 0;
}
#rep-comment-field {
  margin: 0;
}

.repContent-adress {
  margin: 15px 0 0 0;
}

.repContainer-content-message {
  font-size: 12px;
  margin: 2px 0 0 0;
  opacity: 0.6;
  font-weight: 400;
}

.repContainer-content-title {
  display: flex;
  align-items: center;
}

.repContent-photo {
  max-width: 70px;
}
.repContent-photo img {
  width: 100%;
  border-radius: 50px;
}

.repContent-info {
  margin: 0 0 0 10px;
}

.repContainer-content-repname {
  font-weight: 600;
}

.rep-title {
  padding: 25px 35px;
  font-size: 21px;
  border-bottom: 1px solid rgba(0, 0, 0, 0.12);
}
.modal-rep {
  position: relative;
}

.rep-find-container {
  padding: 20px 35px 0 35px;
}

.rep-find-title {
  font-size: 12px;
  margin: 0 0 5px 0;
  opacity: 0.6;
  font-weight: 400;
}

#rep-find-field {
  margin: 0;
}

.rep-find-info {
  display: flex;
  align-items: center;
  margin: 10px 0 0 0;
  opacity: 0.7;
}
.rep-find-info span {
  width: 20px;
  height: 20px;
  margin: 0 5px 0 0;
  background: url(./img/info_icon_black.svg) no-repeat;
}
.rep-find-info div {
  font-size: 13px;
}

.rep-find-container-items {
  padding: 25px 35px 40px 35px;
}

.rep-find-container-items-item {
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin: 0 0 20px 0;
  border-bottom: 1px solid #eee;
  padding: 0 0 20px 0;
}
.rep-find-container-items-item-left {
  display: flex;
  align-items: center;
  width: 70%;
}

.rep-find-container-items-item-photo {
  max-width: 70px;
  flex: none;
}
.rep-find-container-items-item-photo img {
  width: 100%;
  border-radius: 50px;
}

.rep-find-container-items-item-info {
  margin: 0 0 0 15px;
}
.rep-star-rating-stars {
  display: flex;
  align-items: center;
}
.rep-star-rating-stars span {
  display: block;
  background: url(./img/star_black.svg) no-repeat center center;
  width: 14px;
  height: 14px;
  opacity: 0.3;
}

.rep-star-rating-ok .rep-star-rating-stars span {
  background: url(./img/star_orange.svg) no-repeat center center;
  opacity: 1;
}

.rep-star-rating {
  display: flex;
  align-items: center;
}

.rep-star-rating-text {
  margin: 5px 0 0 10px;
  font-size: 11px;
  opacity: 0.6;
}

.rep-find-container-items-item-info-rating {
  margin: 0 0 0 -5px;
}
.rep-find-container-items-item-info-name {
  font-weight: 600;
}

.rep-find-message-too {
  font-size: 13px;
  opacity: 0.6;
  margin: 10px 0 0 0;
  height: calc(20px * 3);
  overflow: hidden;
  text-align: justify;
  display: -webkit-box;
  -webkit-line-clamp: 3;
  -webkit-box-orient: vertical;
}

.btn-q {
  border-color: #e5004b;
  background-color: #e5004b;
  padding: 12px 25px;
  font-size: 14px;
  width: 135px;
}
.btn-q span {
  display: none;
}
.btn-q:hover {
  border-color: #c42847cd;
  background-color: #c42842e7;
}

.rep-find-input {
  position: relative;
}
.rep-find-change {
  position: absolute;
  top: 14px;
  right: 20px;
}

.rep-find-change a {
  color: #e5004b;
  border-bottom: 1px solid #66080845;
  padding: 0 0 2px 0;
  font-size: 14px;
}
.rep-find-change a:hover {
  border-color: rgba(0, 0, 0, 0);
}

.rep-find-result-message {
  padding: 25px 35px;
  text-align: center;
  opacity: 0.6;
  font-size: 13px;
}

.rep-type-search {
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  margin: 10px -10px 15px -10px;
}
.rep-type-search-radio {
  margin: 0 10px;
}
.rep-type-search-radio input {
  display: none;
}
.rep-type-search-radio input:checked + label .rep-type-search-check {
  background: #e5004b;
  border-color: #e5004b;
}
.rep-type-search-radio label {
  display: flex;
  align-items: center;
  cursor: pointer;
}
.rep-type-search-radio label .rep-type-search-check {
  width: 14px;
  height: 14px;
  background: #fff;
  border: 1px solid #ddd;
  border-radius: 50px;
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
}

.rep-type-search-radio label .rep-type-search-check::before {
  content: "";
  width: 6px;
  height: 6px;
  background: #fff;
  border-radius: 50px;
  opacity: 0;
  transition: 0.3s all;
  -o-transition: 0.3s all;
  -moz-transition: 0.3s all;
  -webkit-transition: 0.3s all;
}
.rep-type-search-radio label .rep-type-search-check::before {
  opacity: 1;
}

.rep-type-search-title {
  margin: 2px 0 0 7px;
  font-size: 14px;
}

.checkout-custom-select {
  font-size: 14px;
  padding: 13px 23px;
  border-color: #ddd;
}
.checkout-custom-select:focus,
.checkout-custom-select:active {
  border-color: #5411117e;
  -webkit-box-shadow: 0px 0px 0px 4px rgb(127 40 196 / 13%);
  -moz-box-shadow: 0px 0px 0px 4px rgba(127, 40, 196, 0.13);
  box-shadow: 0px 0px 0px 4px rgb(127 40 196 / 13%);
}

.rep-find-flex {
  display: flex;
  align-items: center;
  flex-direction: row-reverse;
}

.rep-find-input {
  width: 70%;
  margin: 0 0 0 10px;
}
.rep-find-select-search {
  width: 30%;
}

.button-loading {
  background: #fff;
  border-color: #e5004b;
  color: #e5004b;
  pointer-events: none;
  cursor: default;
}
.button-loading span {
  display: flex;
  justify-content: center;
  align-items: center;
}

.button-loading span img {
  width: 23px !important;
}

.button-loading div {
  display: none;
}
.button-loading:hover {
  background: #fff;
  color: #e5004b;
}

.contactInformation-checkout .form__input {
  margin: 0;
}
.contactInformation-checkout {
  margin: 15px 0 0 0;
}

.contactInformation-checkout-last {
  display: flex;
  align-items: flex-start;
  margin: 0 -10px;
}

.contactInformation-checkout-last-left {
  width: 100%;
  margin: 0 10px;
}

.checkout-contentainer-right-bg {
  background: #fff;
  -webkit-box-shadow: 0px 3px 23px 0px rgb(31 41 67 / 6%);
  -moz-box-shadow: 0px 3px 23px 0px rgba(31, 41, 67, 0.06);
  box-shadow: 0px 3px 23px 0px rgb(31 41 67 / 6%);
  padding: 21px 10px;
  -webkit-border-radius: 10px;
  -moz-border-radius: 10px;
  border-radius: 10px;
}

.btn-submit-order {
  background: #e5004b;
  width: calc(100% - 20px);
  border-color: #e5004b;
  font-size: 15px;
  font-weight: 600;
  padding: 14px 0;
  margin:0 10px;
}
.btn-submit-order:hover {
  background: #590808e4;
  border-color: #590808e4;
}
.checkout-container-flex-rightside-order-items {
  margin: 15px 5px 0 25px;
  cursor: default;
  max-height: 21vh;
  overflow: auto;
}

.checkout-container-flex-rightside-order-item {
  display: flex;
  align-items: center;
  margin: 0 0 15px 0;
  padding: 0 15px 0 15px;
}

.checkout-container-flex-rightside-order-item:last-child {
  margin: 0;
}

.checkout-container-flex-rightside-order-item-image {
  width: 55px;
}

.checkout-container-flex-rightside-order-item-image div {
  background: #fff;
  width: 55px;
  height: 55px;
  border-radius: 10px;
  display: flex;
  justify-content: center;
  align-content: center;
  align-items: center;
  border: 1px solid #eee;
}

.checkout-container-flex-rightside-order-item-image img {
  max-width: 47px;
}

.checkout-container-flex-rightside-order-item-productname {
  max-height: calc(18px * 2);
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
  font-size: 13px;
}

.checkout-container-flex-rightside-order-item-productquo {
  font-size: 12px;
  color: rgba(0, 0, 0, 0.35);
  margin: 5px 0 0 0;
  display: flex;
}

.ifVariants {
  border-left: 1px solid #ddd;
  padding: 0 0 0 5px;
  margin: 0 0 0 5px;
  max-width: 63%;
  max-height: calc(9px * 2);
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
}

.quon {
  max-width: 30%;
}

.plusvar {
  margin: 0 0 0 5px;
}

.checkout-container-flex-rightside-order-item-name {
  margin: 0 0 0 10px;
  width: 60%;
  line-height: 1.4;
}

.checkout-container-flex-rightside-order-item-prices {
  width: 30%;
  text-align: right;
}

.checkout-container-flex-rightside-order-item-oldprice {
  text-decoration: line-through;
  font-size: 12px;
  color: rgba(0, 0, 0, 0.18);
}

.checkout-container-flex-rightside-order-item-pricereg {
  font-size: 13px;
}

.checkout-container-flex-rightside-order-item-productquo span {
  display: block;
  margin: 0 0 0 5px;
}

.checkout-cart-right {
  position: relative;
}
#checkout-cart {
  padding: 5px 0 30px 0;
  max-height: 25vh;
  overflow: auto;
}
.checkout-blur-cart {
  content: "";
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 50px;
  background: rgb(255, 255, 255);
  background: linear-gradient(0deg, rgb(255, 255, 255) 19%, rgba(255, 107, 0, 0) 100%);
}

#checkout-cart::-webkit-scrollbar {
  width: 5px;
}

#checkout-cart::-webkit-scrollbar-track {
  background: rgb(240, 240, 240);
}

#checkout-cart::-webkit-scrollbar-thumb {
  background-color: #ddd;
  border-radius: 20px;
}

.checkout-container-flex-rightside-title {
  font-weight: 500;
  font-size: 18px;
  padding: 0 15px 10px 15px;
}

.checkout-information {
  margin: 15px;
  border-top: 1px solid #ddd;
  border-bottom: 1px solid #ddd;
  padding: 25px 0 25px 0;
}
.checkout-information-f {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin: 0 0 10px 0;
}

.checkout-information-f:last-child {
  margin: 0;
}
.checkout-information-f-l {
  font-size: 14px;
  color: rgba(0, 0, 0, 0.49);
}

.checkout-sum-product {
  font-size: 18px;
}
.checkout-information-f-r {
  text-align: right;
}
.priceRep {
  font-size: 12px;
}

.checkout-container-flex-rightside-total-total-cart {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 0 15px;
  margin: 10px 0 30px 0;
}

.checkout-container-flex-rightside-total-total-cart-title {
  font-weight: 500;
  font-size: 16px;
}
.checkout-container-flex-rightside-total-total-cart-title span {
  display: block;
  font-size: 13px;
  font-weight: 400;
  color: rgba(0, 0, 0, 0.49);
}
.checkout-container-flex-rightside-total-total-sum {
  text-align: right;
}

.checkout-container-flex-rightside-total-total-sum-old {
  text-decoration: line-through;
  font-size: 16px;
  color: rgba(0, 0, 0, 0.18);
}
.checkout-container-flex-rightside-total-total-sum-reg {
  font-size: 21px;
  font-weight: 600;
}




.checkout-loading-order {
  position: fixed;
  top:0;
  left:0;
  width:100%;
  height:100%;
  background:rgba(255,255,255,0.95);
  z-index:9999;
  display: flex;
  align-items: center;
  justify-content: center;
}

.checkout-loading-order-animation span {
  width:100px;
  height:100px;
  background:url('https://service.avon.ua/mas/header/svg/loading.svg') no-repeat;
  display:block;
}
.checkout-loading-order-animation {
  display: flex;
  align-items: center;
  justify-content: center;
}
.checkout-loading-maintext {
  font-size:14px;
  text-align: center;
  opacity: 0.5;
  margin:20px 0 0 0;
}
.checkout-loading-order-loa {
  width:100%;
  max-width:500px;
}
.checkout-loading-maintext2 {
  text-align: center;
  margin:0 0 20px 0;
  font-size:25px;
  font-weight: 600;
}
.checkout-loading-maintext3 {
  margin:15px 0 0 0;
  text-align: center;
  opacity: 0.7;
}

.progress-bar {
  background-color:#e5004b;
}

.checkout-terms-check {
  margin:20px 0 0 0;
  padding:0 25px;
  font-size:12px;
  display: flex;
  align-items: center;
  justify-content: center;
}
.checkout-terms-check-icon {
  width:23px;
  height:23px;
  background:url(./img/termcheck.svg) no-repeat;
  flex:none;
}
.checkout-terms-check-text {
  margin:0 0 0 10px;
}
.checkout-terms-check-text a {
  color:#e5004b;
}

.checkout-container-flex-rightside-title span {
  display: block;
  background:url(./img/down_arrow_icon.svg) no-repeat;
  width:20px;
  height:19px;
  display: none;
}
.checkout-container-flex-rightside-title {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.checkout-container-flex-rightside-title.checkout-active-link span {
  transform: rotate(180deg);
}

@media screen and (max-width:1200px) {
.checkout-container-flex {
  display: block;
}
.checkout-contentainer-left {
  width:100%;
}
.checkout-contentainer-right {
  margin: 30px 55px 0 0;
  width:100%;
}
.checkout-title-main {
  text-align: center;
}
.checkout-cart-right {
  display: none;
}
.checkout-cart-right.checkout-show {
  display: block;
}
.checkout-container-flex-rightside-title span {
  display: block;
}
}

@media screen and (max-width:780px) {
  .checkout-background {
    padding: 20px 20px;
  }
  .checkout-fields-title {
    
  }
  .checkout-fields-title div {
    position: relative;
    top:0;
    left:0;
  }
  .checkout-wrapper-big {
    padding:0 10px;
  }
  .checkout-fields-title span:nth-child(2) {
    margin:0 10px 0 10px;
  }
  .repContainer-content {
    display: block;
  }
  #buttonChangeRep {
    width:100%;
margin:10px 0 0 0;
  }
  .checkout-check-price {
    text-align: right;
  }
  .checkout-check-left {
    width:75%;
  }
  .repContainer-content-title {
    width:100%;
  }
  .checkout-content-checkboxes-field label.checkout-checkbox-label .checkout-check {
    flex:none;
  }
}

@media screen and (max-width:500px) {
  .checkout-content-fields-after-checked {
    padding: 12px 15px 15px 15px;
  }
.checkout-content-checkboxes-field label.checkout-checkbox-label {
    display: block;
    position: relative;
  }
  .checkout-content-checkboxes-field .checkout-check-left {
width:100%;
  }
  .checkout-fields-payment-icons {
    margin:10px 0 0 30px;
  }
  .checkout-check-left .icons-delivery {
    margin: 0 0 0 10px;
  }
  .checkout-check-price {
    margin:10px 0 0 0
  }
  .checkout-select-city-links {
    flex-wrap: wrap;
  }
  .checkout-select-city-links a {
    margin:0 10px 10px 10px;
    font-size:14px;
  }
  .contactInformation-checkout-last {
    display: block;
    margin:0;
  }
  .contactInformation-checkout-last-left {
    margin:0;
  }
}